Package Details: fgrun 3.4.0-3

Git Clone URL: https://aur.archlinux.org/fgrun.git (read-only)
Package Base: fgrun
Description: Frontend for FlightGear.
Upstream URL: http://sourceforge.net/projects/flightgear/
Licenses: GPL
Submitter: janserv
Maintainer: None
Last Packager: janserv
Votes: 71
Popularity: 0.160530
First Submitted: 2005-11-18 21:27
Last Updated: 2015-06-08 16:31

Required by (0)

Sources (1)

Latest Comments

janserv commented on 2016-02-10 18:51

Disowning this package because it is going to be replaced with a flightgear builtin qt launcher.

Azertyfun commented on 2015-07-19 12:48

http://git.code.sf.net/p/flightgear/fgrun seems down, it needs to be replaced by https://github.com/FlightGear/fgrun.git.

janserv commented on 2015-03-29 10:40

changed source and build from git release branch.

adalardo commented on 2015-03-25 16:10

Current sha256sum is: 959c213ad4f47d6b3f1901e04b90bc51e3b983691526701a62b6f6330b319cbe

Avionyx commented on 2015-03-09 11:49

Current sha256sum is: 3203ff1b94368a64d7e1ba843ec2f6393649b521904246955704887fbba08662

Echoes91 commented on 2015-03-04 15:43

Today sha256sum is 'c4871e5848c024fbb3852a9d9a13e8eb26108ee3fc7843ea42e0f6ce1287c836'. Tracking such a "mobile" source needs more frequent updates

m01 commented on 2015-02-23 09:14

The sha256sum seems to have changed again to 8294ddd31e90783e7ab6f79f0bde463ae96378ffc70d8570b3da7cf89f8a9b05

milouse commented on 2014-12-18 00:31

New sha256sum is e317190760c1e7a6d5d5f59dddca4bcace8f19aff16235855e80d7d2da14484b

freevryheid commented on 2014-11-11 04:20

==> Making package: fgrun 3.2.0-1 (Mon Nov 10 22:18:46 CST 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading e038cc9be4955e356a6be8eb04dde58e4c24a51f.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 189k 100 189k 0 0 69731 0 0:00:02 0:00:02 --:--:-- 69728
==> Validating source files with sha256sums...
e038cc9be4955e356a6be8eb04dde58e4c24a51f.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build fgrun.

djo0012 commented on 2014-09-13 04:29

I confirm that it doesn't work either for me, sha256sum = 077b3bd2de54ba20525f9c07b8f573bd387eccf2f4a16fc72f7fafa2372d65bc

janserv commented on 2014-09-03 20:24

the sha256sum in the PKGBUILD is the correct one, it is working here.
What version are you triyng to build?
Both fgrun and simgear need to have the same version numbers or fgrun wil fale to build.

nawitus commented on 2014-08-31 13:08

This sha256sum works:
sha256sums=('073ba2a6daaf9367128ee10efb266ef3f996df120bc568c0ba0b14a2f58d2e08')

However, I get this error:
CMake Error at CMakeModules/FindSimGear.cmake:219 (message):
Oops, you have installed SimGear includes, however test compiling failed.
Try removing 'CMakeCache.txt' and reconfigure with 'cmake'.
Call Stack (most recent call first):
CMakeLists.txt:133 (find_package)

nawitus commented on 2014-08-31 13:01

==> Validating source files with sha256sums...
e030882cdb7917038cfeb09d3808505180ec4dc5.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

janserv commented on 2014-08-07 17:32

No not yet, it will probably be released around the 17th of August.

Azul commented on 2014-08-07 07:26

Looks like version 3.2.0 is out

janserv commented on 2013-03-18 19:59

1.7.0 is not an official release but a tarball from a git release.
Version 1.6.2 does not compile with simgear 2.10.

yadieet commented on 2013-03-17 07:01

fgrun 1.6.2-2 build errors..

http://pastebin.com/Z4HK9PTK

Additional info :
- Linux 3.7.10-1-ARCH x86_64
- simgear 2.10.0-1
- openscenegraph 3.0.1-9
- flightgear 2.10.0-1

capoeira commented on 2012-09-19 20:35

damn, sorry. I had no gcc. don't know why.
I delete my comment

janserv commented on 2012-09-19 20:23

No problems here.
Do you have make and/or gcc installed ??

capoeira commented on 2012-09-19 02:37

CMake Error: CMAKE_C_COMPILER not set, after EnableLanguage
CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Looking for include file pthread.h - not found.
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:97 (MESSAGE):
Could NOT find Threads (missing: Threads_FOUND)
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:288 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake-2.8/Modules/FindThreads.cmake:166 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
CMakeModules/FindSimGear.cmake:126 (find_package)
CMakeLists.txt:90 (find_package)

bred commented on 2012-08-20 10:58

Simgear is no longer available in AUR.
Now we shold use simgear-git https://aur.archlinux.org/packages.php?ID=39153

Please update this dep.

janserv commented on 2012-08-19 07:16

update pkg, requires simgear-2.8.0

beej commented on 2012-05-14 16:19

tomaszc's fix also works for me. Thanks, guys!

milouse commented on 2012-04-30 17:36

I confirm the way given by tomaszc. I encountered the same problem than thebishop or beej on Arch x86_64, but after doing a simple yaourt -Sb simgear, fgrun compiled without any problem.

So, thanks a lot @tomaszc :)

tomaszc commented on 2012-04-25 23:14

For me the problem solved earlier to build the package SimGear with ABS. For example, you can do:
yaourt -Sb simgear

tomaszc commented on 2012-04-25 21:44

For me the problem solved earlier to build the package SimGear with ABS. For example, you can do:
yaourt -Sb simgear

beej commented on 2012-04-25 18:14

Actually the errors refer to libsgtbdb.a and libsgutil.a, which are both part of simgear. The problem might be there, not here.

beej commented on 2012-04-25 18:10

Same error as thebishop for me, x86_64. Here's the output, error at end:

http://pastebin.com/nYGrHQL8

thebishop commented on 2012-04-24 18:28

Doesn't build on my system (x86_64, all dependencies are met and the system is up to date, no strange AUR packages).

It fails linking the executables.


If it can be useful, I'll forward the log by e-mail.

janserv commented on 2012-04-23 19:49

update to 1.6.1

janserv commented on 2012-02-26 22:27

Yes, it segfaults her too, have to check why.

GalacticArachnid commented on 2012-02-26 21:50

Segfaults every time I try to run fgfs or terrasync (both applications run fine manually and settings triple checked)

janserv commented on 2012-01-29 10:35

Yes, this is because simgear in [community] needs to be patched and rebuild against boost 1.48.
But in about 3 weeks (feb 17) simgear/flightgear wil be updated to 2.6.0 and than this error wil be gone.
If you want to rebuild simgear now you can try with the patch from the bugtracker.
https://code.google.com/p/flightgear-bugs/issues/detail?id=512

Anonymous comment on 2012-01-28 21:49

Fails to install for me, gives the following error:

/usr/include/simgear/structure/Singleton.hxx:4:43: fatal error: boost/pool/detail/singleton.hpp: No such file or directory
compilation terminated.

janserv commented on 2011-11-06 22:23

Update to new release.

janserv commented on 2011-09-10 06:08

Indeed it needs boost, fixed.

Tempel commented on 2011-09-09 23:03

It looks like it needs boost as a makedepend.

janserv commented on 2011-08-31 12:46

Ok, i think i found the culprit.
Changed the download source from dl.sourceforge.net to downloads.sourceforge.net.
Uploaded a new PKGBUILD and also changed from md5sums to sha256sums.

janserv commented on 2011-08-31 11:53

I don't know why but when makepkg downloads the files it generates different checksums for it then when you manualy download the files.
Have you tried to manualy download the source tarball to your build dir and build it ?
Otherwise let makepkg do the download and then do a makepkg -g >> PKGBUILD and build again.

dzaragoza commented on 2011-08-31 10:58

Hello

md5sums is still not working for me. When I run 'makepkg -g' it returns:

md5sums=('71bf041b11dbc07e097b5ca0f2aa55fc'
'ab66d5a8058be12b2f6e2e122d86d35c')

And the md5sums on the PKGBUILD is:

md5sums=('cee32c8359a61e0db3156f7bd271321c'
'ab66d5a8058be12b2f6e2e122d86d35c')

janserv commented on 2011-08-24 23:17

fixed md5sum again.
There's something fishy with makepkg and md5sums.

miro commented on 2011-08-24 22:44

still not working for me: ==> Validating source files with md5sums...fgrun-1.5.2.tar.gz ... FAILED

janserv commented on 2011-08-23 12:39

fixed md5sum

janserv commented on 2011-08-23 12:38

fixed md5sum

dzaragoza commented on 2011-08-23 12:23

Hello

The md5sum for fgrun-1.5.2.tar.gz in the new PKGBUILD is wrong.

Regards

janserv commented on 2011-08-22 16:25

Uploaded a new rel version with a patch, this should work.

z0id commented on 2011-08-22 09:45

It fails with

wizard.h:331:3: error: ‘string’ does not name a type
make[2]: *** [wizard.o] Error 1
make: *** [all-recursive] Error 1